// import './assets/main.css'
import '@/styles/index.css'
import 'ant-design-vue/dist/reset.css'

import { createApp } from 'vue'
import { setupStore } from '@/stores'
import { router, setupRouter } from '@/router'
import { setRouteGuard } from '@/router/guard/index'
import { loadComponent, loadFunc } from '@/core/lazy_use'
import 'swiper/css';
import 'swiper/css/navigation';
import 'swiper/css/pagination';
import 'swiper/css/effect-fade';
import 'swiper/css/autoplay';

import * as Icons from '@ant-design/icons-vue'

import App from './App.vue'
// import router from './router'



const app = createApp(App)

loadComponent(app)

loadFunc(app)

setupStore(app)

setupRouter(app)

setRouteGuard(router)

const icons:any = Icons
for (const i in icons) {
  app.component(i, icons[i])
}


app.mount('#app')
